org.apache.tools.ant.types.resources

## Interface Touchable

- All Known Implementing Classes:
    FileResource

      public interface Touchable

  Interface to be implemented by "touchable" resources; that is, those whose modification time can be altered.
  Since:
    Ant 1.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `touch(long modTime)` Method called to "touch" the resource.

- - ### Method Detail

    - #### touch

          void touch(long modTime)

      Method called to "touch" the resource.
      Parameters:
        `modTime` - the time to set the modified "field" of the resource, measured in milliseconds since the epoch.